<template>
    <button class="w-12 h-12 mb-2 border border-yellow-300 rounded" @click="onClick">{{operator}}</button>
</template>

<script>

export default {
  props: {
    operator: {
      type: String,
      required: false
    }
  },

  methods: {
    onClick() {
      this.$emit('click', this.operator)
    }
  }
}
</script>
